local revision = tonumber(("$Revision: 62698 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2008-02-23 18:22:38 -0500 (Sat, 23 Feb 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = AddonBase:new("ElkBuffBars", "ElkBuffBars")
if not Addon then return end

function Addon:Start()
    
    -- show the anchors, if they're not already shown
    for k, v in pairs(ElkBuffBars.OnMenuRequest.args.groupsettings.args) do
        if not v.args.anchorshown.get() then
            v.args.anchorshown.set(true)
        end
    end

end

function Addon:Stop()

    -- hide the anchors, if they're not already hidden
    for k, v in pairs(ElkBuffBars.OnMenuRequest.args.groupsettings.args) do
        if v.args.anchorshown.get() then
            v.args.anchorshown.set(false)
        end
    end

end