local revision = tonumber(("$Revision: 62698 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2008-02-23 18:22:38 -0500 (Sat, 23 Feb 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = AddonBase:new("NabuFiveSec", "NabuFiveSec")
if not Addon then return end

local wasLocked

function Addon:Start()

	wasLocked = NabuFiveSec.db.profile.locked
	NabuFiveSec:toggleFSBLock(false)
end

function Addon:Stop()

	if wasLocked then
		NabuFiveSec:toggleFSBLock(true)
	end
end
