local revision = tonumber(("$Revision: 62698 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2008-02-23 18:22:38 -0500 (Sat, 23 Feb 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = AddonBase:new("m_buffbar", "Morganti's BuffBars")
if not Addon then return end

function Addon:Start()
    
    -- show the three buff frames
    m_doptions.moveable = 1
    m_boptions.moveable = 1
    m_woptions.moveable = 1

end

function Addon:Stop()

    -- hide the three buff frames
    m_doptions.moveable = 0
    m_boptions.moveable = 0
    m_woptions.moveable = 0    

end